Upstream information

CVE-2017-1000256 at MITRE

Description

libvirt version 2.3.0 and later is vulnerable to a bad default configuration of "verify-peer=no" passed to QEMU by libvirt resulting in a failure to validate SSL/TLS certificates by default.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.1
Vector CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 1062563 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • libvirt >= 3.3.0-5.8.1
  • libvirt-admin >= 3.3.0-5.8.1
  • libvirt-client >= 3.3.0-5.8.1
  • libvirt-daemon >= 3.3.0-5.8.1
  • libvirt-daemon-config-network >= 3.3.0-5.8.1
  • libvirt-daemon-config-nwfilter >= 3.3.0-5.8.1
  • libvirt-daemon-driver-interface >= 3.3.0-5.8.1
  • libvirt-daemon-driver-libxl >= 3.3.0-5.8.1
  • libvirt-daemon-driver-lxc >= 3.3.0-5.8.1
  • libvirt-daemon-driver-network >= 3.3.0-5.8.1
  • libvirt-daemon-driver-nodedev >= 3.3.0-5.8.1
  • libvirt-daemon-driver-nwfilter >= 3.3.0-5.8.1
  • libvirt-daemon-driver-qemu >= 3.3.0-5.8.1
  • libvirt-daemon-driver-secret >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-core >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-disk >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-logical >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-5.8.1
  • libvirt-daemon-lxc >= 3.3.0-5.8.1
  • libvirt-daemon-qemu >= 3.3.0-5.8.1
  • libvirt-daemon-xen >= 3.3.0-5.8.1
  • libvirt-doc >= 3.3.0-5.8.1
  • libvirt-libs >= 3.3.0-5.8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1771
SUSE Linux Enterprise Desktop 12 SP4
  • libvirt >= 4.0.0-6.13
  • libvirt-admin >= 4.0.0-6.13
  • libvirt-client >= 4.0.0-6.13
  • libvirt-daemon >= 4.0.0-6.13
  • libvirt-daemon-config-network >= 4.0.0-6.13
  • libvirt-daemon-config-nwfilter >= 4.0.0-6.13
  • libvirt-daemon-driver-interface >= 4.0.0-6.13
  • libvirt-daemon-driver-libxl >= 4.0.0-6.13
  • libvirt-daemon-driver-lxc >= 4.0.0-6.13
  • libvirt-daemon-driver-network >= 4.0.0-6.13
  • libvirt-daemon-driver-nodedev >= 4.0.0-6.13
  • libvirt-daemon-driver-nwfilter >= 4.0.0-6.13
  • libvirt-daemon-driver-qemu >= 4.0.0-6.13
  • libvirt-daemon-driver-secret >= 4.0.0-6.13
  • libvirt-daemon-driver-storage >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-core >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-disk >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-iscsi >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-logical >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-mpath >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-rbd >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-scsi >= 4.0.0-6.13
  • libvirt-daemon-lxc >= 4.0.0-6.13
  • libvirt-daemon-qemu >= 4.0.0-6.13
  • libvirt-daemon-xen >= 4.0.0-6.13
  • libvirt-doc >= 4.0.0-6.13
  • libvirt-libs >= 4.0.0-6.13
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libvirt >= 5.1.0-11.10
  • libvirt-admin >= 5.1.0-11.10
  • libvirt-client >= 5.1.0-11.10
  • libvirt-daemon >= 5.1.0-11.10
  • libvirt-daemon-config-network >= 5.1.0-11.10
  • libvirt-daemon-config-nwfilter >= 5.1.0-11.10
  • libvirt-daemon-driver-interface >= 5.1.0-11.10
  • libvirt-daemon-driver-libxl >= 5.1.0-11.10
  • libvirt-daemon-driver-lxc >= 5.1.0-11.10
  • libvirt-daemon-driver-network >= 5.1.0-11.10
  • libvirt-daemon-driver-nodedev >= 5.1.0-11.10
  • libvirt-daemon-driver-nwfilter >= 5.1.0-11.10
  • libvirt-daemon-driver-qemu >= 5.1.0-11.10
  • libvirt-daemon-driver-secret >= 5.1.0-11.10
  • libvirt-daemon-driver-storage >= 5.1.0-11.10
  • libvirt-daemon-driver-storage-core >= 5.1.0-11.10
  • libvirt-daemon-driver-storage-disk >= 5.1.0-11.10
  • libvirt-daemon-driver-storage-iscsi >= 5.1.0-11.10
  • libvirt-daemon-driver-storage-logical >= 5.1.0-11.10
  • libvirt-daemon-driver-storage-mpath >= 5.1.0-11.10
  • libvirt-daemon-driver-storage-rbd >= 5.1.0-11.10
  • libvirt-daemon-driver-storage-scsi >= 5.1.0-11.10
  • libvirt-daemon-hooks >= 5.1.0-11.10
  • libvirt-daemon-lxc >= 5.1.0-11.10
  • libvirt-daemon-qemu >= 5.1.0-11.10
  • libvirt-daemon-xen >= 5.1.0-11.10
  • libvirt-doc >= 5.1.0-11.10
  • libvirt-libs >= 5.1.0-11.10
  • libvirt-lock-sanlock >= 5.1.0-11.10
  • libvirt-nss >= 5.1.0-11.10
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libvirt-libs >= 5.1.0-6.9
SUSE Linux Enterprise Module for Basesystem 15
  • libvirt-libs >= 4.0.0-7.4
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • libvirt >= 5.1.0-6.9
  • libvirt-admin >= 5.1.0-6.9
  • libvirt-bash-completion >= 5.1.0-6.9
  • libvirt-client >= 5.1.0-6.9
  • libvirt-daemon >= 5.1.0-6.9
  • libvirt-daemon-config-network >= 5.1.0-6.9
  • libvirt-daemon-config-nwfilter >= 5.1.0-6.9
  • libvirt-daemon-driver-interface >= 5.1.0-6.9
  • libvirt-daemon-driver-libxl >= 5.1.0-6.9
  • libvirt-daemon-driver-lxc >= 5.1.0-6.9
  • libvirt-daemon-driver-network >= 5.1.0-6.9
  • libvirt-daemon-driver-nodedev >= 5.1.0-6.9
  • libvirt-daemon-driver-nwfilter >= 5.1.0-6.9
  • libvirt-daemon-driver-qemu >= 5.1.0-6.9
  • libvirt-daemon-driver-secret >= 5.1.0-6.9
  • libvirt-daemon-driver-storage >= 5.1.0-6.9
  • libvirt-daemon-driver-storage-core >= 5.1.0-6.9
  • libvirt-daemon-driver-storage-disk >= 5.1.0-6.9
  • libvirt-daemon-driver-storage-iscsi >= 5.1.0-6.9
  • libvirt-daemon-driver-storage-logical >= 5.1.0-6.9
  • libvirt-daemon-driver-storage-mpath >= 5.1.0-6.9
  • libvirt-daemon-driver-storage-rbd >= 5.1.0-6.9
  • libvirt-daemon-driver-storage-scsi >= 5.1.0-6.9
  • libvirt-daemon-hooks >= 5.1.0-6.9
  • libvirt-daemon-lxc >= 5.1.0-6.9
  • libvirt-daemon-qemu >= 5.1.0-6.9
  • libvirt-daemon-xen >= 5.1.0-6.9
  • libvirt-devel >= 5.1.0-6.9
  • libvirt-doc >= 5.1.0-6.9
  • libvirt-lock-sanlock >= 5.1.0-6.9
  • libvirt-nss >= 5.1.0-6.9
SUSE Linux Enterprise Module for Server Applications 15
  • libvirt >= 4.0.0-7.4
  • libvirt-admin >= 4.0.0-7.4
  • libvirt-client >= 4.0.0-7.4
  • libvirt-daemon >= 4.0.0-7.4
  • libvirt-daemon-config-network >= 4.0.0-7.4
  • libvirt-daemon-config-nwfilter >= 4.0.0-7.4
  • libvirt-daemon-driver-interface >= 4.0.0-7.4
  • libvirt-daemon-driver-libxl >= 4.0.0-7.4
  • libvirt-daemon-driver-lxc >= 4.0.0-7.4
  • libvirt-daemon-driver-network >= 4.0.0-7.4
  • libvirt-daemon-driver-nodedev >= 4.0.0-7.4
  • libvirt-daemon-driver-nwfilter >= 4.0.0-7.4
  • libvirt-daemon-driver-qemu >= 4.0.0-7.4
  • libvirt-daemon-driver-secret >= 4.0.0-7.4
  • libvirt-daemon-driver-storage >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-core >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-disk >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-iscsi >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-logical >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-mpath >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-rbd >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-scsi >= 4.0.0-7.4
  • libvirt-daemon-hooks >= 4.0.0-7.4
  • libvirt-daemon-lxc >= 4.0.0-7.4
  • libvirt-daemon-qemu >= 4.0.0-7.4
  • libvirt-daemon-xen >= 4.0.0-7.4
  • libvirt-devel >= 4.0.0-7.4
  • libvirt-doc >= 4.0.0-7.4
  • libvirt-lock-sanlock >= 4.0.0-7.4
  • libvirt-nss >= 4.0.0-7.4
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libvirt >= 3.3.0-5.8.1
  • libvirt-admin >= 3.3.0-5.8.1
  • libvirt-client >= 3.3.0-5.8.1
  • libvirt-daemon >= 3.3.0-5.8.1
  • libvirt-daemon-config-network >= 3.3.0-5.8.1
  • libvirt-daemon-config-nwfilter >= 3.3.0-5.8.1
  • libvirt-daemon-driver-interface >= 3.3.0-5.8.1
  • libvirt-daemon-driver-libxl >= 3.3.0-5.8.1
  • libvirt-daemon-driver-lxc >= 3.3.0-5.8.1
  • libvirt-daemon-driver-network >= 3.3.0-5.8.1
  • libvirt-daemon-driver-nodedev >= 3.3.0-5.8.1
  • libvirt-daemon-driver-nwfilter >= 3.3.0-5.8.1
  • libvirt-daemon-driver-qemu >= 3.3.0-5.8.1
  • libvirt-daemon-driver-secret >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-core >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-disk >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-logical >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-5.8.1
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-5.8.1
  • libvirt-daemon-lxc >= 3.3.0-5.8.1
  • libvirt-daemon-qemu >= 3.3.0-5.8.1
  • libvirt-daemon-xen >= 3.3.0-5.8.1
  • libvirt-doc >= 3.3.0-5.8.1
  • libvirt-libs >= 3.3.0-5.8.1
  • libvirt-lock-sanlock >= 3.3.0-5.8.1
  • libvirt-nss >= 3.3.0-5.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1771
SUSE Linux Enterprise Server 12 SP4
  • libvirt >= 4.0.0-6.13
  • libvirt-admin >= 4.0.0-6.13
  • libvirt-client >= 4.0.0-6.13
  • libvirt-daemon >= 4.0.0-6.13
  • libvirt-daemon-config-network >= 4.0.0-6.13
  • libvirt-daemon-config-nwfilter >= 4.0.0-6.13
  • libvirt-daemon-driver-interface >= 4.0.0-6.13
  • libvirt-daemon-driver-libxl >= 4.0.0-6.13
  • libvirt-daemon-driver-lxc >= 4.0.0-6.13
  • libvirt-daemon-driver-network >= 4.0.0-6.13
  • libvirt-daemon-driver-nodedev >= 4.0.0-6.13
  • libvirt-daemon-driver-nwfilter >= 4.0.0-6.13
  • libvirt-daemon-driver-qemu >= 4.0.0-6.13
  • libvirt-daemon-driver-secret >= 4.0.0-6.13
  • libvirt-daemon-driver-storage >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-core >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-disk >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-iscsi >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-logical >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-mpath >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-rbd >= 4.0.0-6.13
  • libvirt-daemon-driver-storage-scsi >= 4.0.0-6.13
  • libvirt-daemon-hooks >= 4.0.0-6.13
  • libvirt-daemon-lxc >= 4.0.0-6.13
  • libvirt-daemon-qemu >= 4.0.0-6.13
  • libvirt-daemon-xen >= 4.0.0-6.13
  • libvirt-doc >= 4.0.0-6.13
  • libvirt-libs >= 4.0.0-6.13
  • libvirt-lock-sanlock >= 4.0.0-6.13
  • libvirt-nss >= 4.0.0-6.13
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libvirt >= 3.3.0-5.8.1
  • libvirt-devel >= 3.3.0-5.8.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1771
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libvirt-devel >= 4.0.0-6.13
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libvirt-devel >= 5.1.0-11.10
openSUSE Leap 15.0
  • libvirt-client >= 4.0.0-lp150.6.18
  • libvirt-daemon >= 4.0.0-lp150.6.18
  • libvirt-daemon-config-network >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-interface >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-network >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-nodedev >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-nwfilter >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-qemu >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-secret >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-core >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-disk >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-iscsi >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-logical >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-mpath >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-rbd >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-scsi >= 4.0.0-lp150.6.18
  • libvirt-daemon-qemu >= 4.0.0-lp150.6.18
  • libvirt-libs >= 4.0.0-lp150.6.18
Patchnames:
openSUSE Leap 15.0 GA libvirt-client
openSUSE Leap 42.3
  • libvirt >= 3.3.0-9.1
  • libvirt-admin >= 3.3.0-9.1
  • libvirt-admin-debuginfo >= 3.3.0-9.1
  • libvirt-client >= 3.3.0-9.1
  • libvirt-client-debuginfo >= 3.3.0-9.1
  • libvirt-client-debuginfo-32bit >= 3.3.0-9.1
  • libvirt-daemon >= 3.3.0-9.1
  • libvirt-daemon-config-network >= 3.3.0-9.1
  • libvirt-daemon-config-nwfilter >= 3.3.0-9.1
  • libvirt-daemon-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-interface >= 3.3.0-9.1
  • libvirt-daemon-driver-interface-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-libxl >= 3.3.0-9.1
  • libvirt-daemon-driver-libxl-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-lxc >= 3.3.0-9.1
  • libvirt-daemon-driver-lxc-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-network >= 3.3.0-9.1
  • libvirt-daemon-driver-network-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-nodedev >= 3.3.0-9.1
  • libvirt-daemon-driver-nodedev-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-nwfilter >= 3.3.0-9.1
  • libvirt-daemon-driver-nwfilter-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-qemu >= 3.3.0-9.1
  • libvirt-daemon-driver-qemu-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-secret >= 3.3.0-9.1
  • libvirt-daemon-driver-secret-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-storage >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-core >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-core-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-disk >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-disk-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-iscsi-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-logical >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-logical-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-mpath-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-rbd-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-9.1
  • libvirt-daemon-driver-storage-scsi-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-uml >= 3.3.0-9.1
  • libvirt-daemon-driver-uml-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-driver-vbox >= 3.3.0-9.1
  • libvirt-daemon-driver-vbox-debuginfo >= 3.3.0-9.1
  • libvirt-daemon-lxc >= 3.3.0-9.1
  • libvirt-daemon-qemu >= 3.3.0-9.1
  • libvirt-daemon-uml >= 3.3.0-9.1
  • libvirt-daemon-vbox >= 3.3.0-9.1
  • libvirt-daemon-xen >= 3.3.0-9.1
  • libvirt-debugsource >= 3.3.0-9.1
  • libvirt-devel >= 3.3.0-9.1
  • libvirt-devel-32bit >= 3.3.0-9.1
  • libvirt-doc >= 3.3.0-9.1
  • libvirt-libs >= 3.3.0-9.1
  • libvirt-libs-debuginfo >= 3.3.0-9.1
  • libvirt-lock-sanlock >= 3.3.0-9.1
  • libvirt-lock-sanlock-debuginfo >= 3.3.0-9.1
  • libvirt-nss >= 3.3.0-9.1
  • libvirt-nss-debuginfo >= 3.3.0-9.1
Patchnames:
openSUSE-2017-1213


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 libvirt Affected
SUSE Linux Enterprise Desktop 12 SP3 libvirt Released
SUSE Linux Enterprise Server 11 SP1 libvirt Not affected
SUSE Linux Enterprise Server 11 SP3 libvirt Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS libvirt Not affected
SUSE Linux Enterprise Server 11 SP4 libvirt Not affected
SUSE Linux Enterprise Server 12 LTSS libvirt Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS libvirt Not affected
SUSE Linux Enterprise Server 12 SP2 libvirt Not affected
SUSE Linux Enterprise Server 12 SP3 libvirt Released
SUSE Linux Enterprise Server for SAP Applications 12 libvirt Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 libvirt Not affected
SUSE Linux Enterprise Software Development Kit 12 libvirt Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libvirt Released
SUSE Linux Enterprise Workstation Extension 12 SP2 libvirt Not affected